AM261x MCU+ SDK: APIs for HSMCLIENT_UTILS

| AM261x MCU+ SDK 26.00.00 |

Functions | Macros
APIs for HSMCLIENT_UTILS
APIs for SOC Specific Device Drivers

## Introduction

See HSM client for more details.

## Functions
int32_t | HsmClient_parseVersion (HsmVer_t *tifsMcuVer, char *parsedVer)
| Parses Version string. More...
int32_t | HsmClient_parseDeviceConfig (uint32_t configType, uint32_t *configData, uint32_t configSize, char *parsedConfig)
| Parses Device Configuration data into a human-readable string. More...

## Macros
#define | SOC_TYPE_AM263X 0x1
| SOC TYPE FLAG for AM263X. More...
#define | SOC_TYPE_AM263P 0x2
| SOC TYPE FLAG for AM263p. More...
#define | SOC_TYPE_AM273X 0x3
| SOC TYPE FLAG for AM273x. More...
#define | SOC_TYPE_AWR294X 0x4
| SOC TYPE FLAG for AWR294x. More...
#define | SOC_TYPE_F29H85x 0x5
| SOC TYPE FLAG for F29H85x. More...
#define | SOC_TYPE_AM261x 0x6
| SOC TYPE FLAG for AM261x. More...
#define | NUM_SOC_TYPE 0x7
| Count of all supported SOC's. More...
#define | DEVICE_TYPE_HS_FS 0x00
| Device type flag for HS-FS. More...
#define | DEVICE_TYPE_HS_SE 0xFF
| Device type flag for HS-SE. More...
#define | HSM_V1 0x1
| HSM Version flag. More...
#define | BIN_TYPE_STANDARD 0x55
| Binary type flag for STANDARD. More...
#define | BIN_TYPE_CUSTOM 0xAA
| Binary type flag for CUSTOM. More...
#define | BIN_TYPE_OTPKW 0x33
| Binary type flag for OTPKW. More...
#define | DEVICE_CONFIG_TYPE_SAFETY (0U)
| Device configuration type - Safety configuration. More...
#define | DEVICE_CONFIG_TYPE_SECURITY (1U)
| Device configuration type - Security configuration. More...
#define | DEVICE_CONFIG_TYPE_DEBUG (2U)
| Device configuration type - Debug configuration. More...
#define | DEVICE_CONFIG_TYPE_ALL (0xFFU)
| Device configuration type - All configuration types. More...
#define | FW_UPDATE_COMPLETE (0x5A5A5A5AU)
| Firmware update complete value. More...
#define | SECCFG_VALIDATION_SUCCESS (0x5A5A5A5AU)
| SecCfg validation success value. More...
#define | DEBUG_STATUS_DISABLED (0x5A5A5A5AU)
| Debug status disabled value. More...
#define | DEBUG_STATUS_ENABLED (0xA5A5A5A5U)
| Debug status enabled value. More...
#define | BOTH_BANK_INVALID (0x0000FFFFU)
| Both banks invalid. More...
#define | BOTH_BANKS_VALID (0x0000B0B1U)
| Both banks valid. More...
#define | ONLY_BANK0_VALID (0x0000B0FFU)
| Only Bank0 valid. More...
#define | ONLY_BANK1_VALID (0x0000FFB1U)
| Only Bank1 valid. More...
#define | BANK0_ACTIVE_VAL (0xC9U)
| Bank0 active value. More...
#define | BANK1_ACTIVE_VAL (0x36U)
| Bank1 active value. More...

## Macro Definition Documentation

## ◆ SOC_TYPE_AM263X

#define SOC_TYPE_AM263X 0x1

SOC TYPE FLAG for AM263X.

## ◆ SOC_TYPE_AM263P

#define SOC_TYPE_AM263P 0x2

SOC TYPE FLAG for AM263p.

## ◆ SOC_TYPE_AM273X

#define SOC_TYPE_AM273X 0x3

SOC TYPE FLAG for AM273x.

## ◆ SOC_TYPE_AWR294X

#define SOC_TYPE_AWR294X 0x4

SOC TYPE FLAG for AWR294x.

## ◆ SOC_TYPE_F29H85x

#define SOC_TYPE_F29H85x 0x5

SOC TYPE FLAG for F29H85x.

## ◆ SOC_TYPE_AM261x

#define SOC_TYPE_AM261x 0x6

SOC TYPE FLAG for AM261x.

## ◆ NUM_SOC_TYPE

#define NUM_SOC_TYPE 0x7

Count of all supported SOC's.

## ◆ DEVICE_TYPE_HS_FS

#define DEVICE_TYPE_HS_FS 0x00

Device type flag for HS-FS.

## ◆ DEVICE_TYPE_HS_SE

#define DEVICE_TYPE_HS_SE 0xFF

Device type flag for HS-SE.

## ◆ HSM_V1

#define HSM_V1 0x1

HSM Version flag.

## ◆ BIN_TYPE_STANDARD

#define BIN_TYPE_STANDARD 0x55

Binary type flag for STANDARD.

## ◆ BIN_TYPE_CUSTOM

#define BIN_TYPE_CUSTOM 0xAA

Binary type flag for CUSTOM.

## ◆ BIN_TYPE_OTPKW

#define BIN_TYPE_OTPKW 0x33

Binary type flag for OTPKW.

## ◆ DEVICE_CONFIG_TYPE_SAFETY

#define DEVICE_CONFIG_TYPE_SAFETY (0U)

Device configuration type - Safety configuration.

## ◆ DEVICE_CONFIG_TYPE_SECURITY

#define DEVICE_CONFIG_TYPE_SECURITY (1U)

Device configuration type - Security configuration.

## ◆ DEVICE_CONFIG_TYPE_DEBUG

#define DEVICE_CONFIG_TYPE_DEBUG (2U)

Device configuration type - Debug configuration.

## ◆ DEVICE_CONFIG_TYPE_ALL

#define DEVICE_CONFIG_TYPE_ALL (0xFFU)

Device configuration type - All configuration types.

## ◆ FW_UPDATE_COMPLETE

#define FW_UPDATE_COMPLETE (0x5A5A5A5AU)

Firmware update complete value.

## ◆ SECCFG_VALIDATION_SUCCESS

#define SECCFG_VALIDATION_SUCCESS (0x5A5A5A5AU)

SecCfg validation success value.

## ◆ DEBUG_STATUS_DISABLED

#define DEBUG_STATUS_DISABLED (0x5A5A5A5AU)

Debug status disabled value.

## ◆ DEBUG_STATUS_ENABLED

#define DEBUG_STATUS_ENABLED (0xA5A5A5A5U)

Debug status enabled value.

## ◆ BOTH_BANK_INVALID

#define BOTH_BANK_INVALID (0x0000FFFFU)

Both banks invalid.

## ◆ BOTH_BANKS_VALID

#define BOTH_BANKS_VALID (0x0000B0B1U)

Both banks valid.

## ◆ ONLY_BANK0_VALID

#define ONLY_BANK0_VALID (0x0000B0FFU)

Only Bank0 valid.

## ◆ ONLY_BANK1_VALID

#define ONLY_BANK1_VALID (0x0000FFB1U)

Only Bank1 valid.

## ◆ BANK0_ACTIVE_VAL

#define BANK0_ACTIVE_VAL (0xC9U)

Bank0 active value.

## ◆ BANK1_ACTIVE_VAL

#define BANK1_ACTIVE_VAL (0x36U)

Bank1 active value.

## Function Documentation

## ◆ HsmClient_parseVersion()

int32_t HsmClient_parseVersion | ( | HsmVer_t * | tifsMcuVer,
|  | char * | parsedVer
| ) |  |

Parses Version string.

Parameters

  tifsMcuVer | Pointer to HsmVer_t version union
  parsedVer | Pointer to parsed string

Returns
  status returns System_SUCCESS on successful parsing, else System_FAILURE.

## ◆ HsmClient_parseDeviceConfig()

int32_t HsmClient_parseDeviceConfig | ( | uint32_t | configType,
|  | uint32_t * | configData,
|  | uint32_t | configSize,
|  | char * | parsedConfig
| ) |  |

Parses Device Configuration data into a human-readable string.

Parameters

  configType | Type of configuration (safety/security/debug/all)
  configData | Pointer to configuration data buffer
  configSize | Size of configuration data in bytes
  parsedConfig | Pointer to output string buffer

Returns
  status returns SystemP_SUCCESS on successful parsing, else SystemP_FAILURE.